Aria: ArMapFileLineSetWriter Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArMapFileLineSetWriter Class Reference

`#include <ArMapUtils.h>`

Inheritance diagram for ArMapFileLineSetWriter:

List of all members.

## Detailed Description

Functor that populates a specified ArMapFileLineSet.

ArMapFileLineSetWriter is used to create an ArMapFileLineSet, using the normal Aria map writeToFunctor mechanism.

Java and Python Wrappers: Not available in Java or Python wrapper libraries.

## Public Member Functions
| ArMapFileLineSetWriter (ArMapFileLineSet *multiSet)
| Constructs a new writer for the given map file line set.
virtual void | invoke (const char *p1)
| Invokes the functor.
virtual void | invoke (void)
| Invokes the functor; this method shouldn't be called.
bool | isAddingChildren () const
| Returns whether children are currently being added to the map file line set.
void | setAddingChildren (bool isAddingChildren)
| Sets whether children are currently being added to the map file line set.
| ~ArMapFileLineSetWriter ()
| Destructor.
## Protected Attributes
int | myChildLineNum
| "Local" line number of the current child in relation to its parent
bool | myIsAddingChildren
| Whether a child is currently being added.
int | myLineNum
| Line number currently being written.
ArMapFileLineSet * | myMultiSet
| Map file line set that is being populated.

## Member Function Documentation

virtual void ArMapFileLineSetWriter::invoke | ( | const char * | p1 | ) | `[inline, virtual]`

Invokes the functor.

Parameters:

  | p1 | the char * map file line to be written

Implements ArFunctor1< const char * >.

void ArMapFileLineSetWriter::setAddingChildren | ( | bool | isAddingChildren | ) | `[inline]`

Sets whether children are currently being added to the map file line set.

When a child line is detected by the map file parser, setAddingChildren(true) must be called. The new children will be added to the most recently created ArMapFileLineSet. Likewise, when the child list is complete, setAddingChildren(false) must be called.

The documentation for this class was generated from the following file:

- ArMapUtils.h